<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { ordersDataTableProps } from '../../../datatable/props/ordersDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ ordersDataTableProps, DeleteEntityMixin ],

        methods: {

            showOrder(order) {

                this.$router.push({ name: 'show', params: { id: order.id } });
            },

            editOrder(order) {

                this.$router.push({ name: 'edit', params: { id: order.id } });
            },


            deleteOrder(order) {

                swalConfirm().then( (result) => {

                    if (result.value) {

                        this.deleteEntityMixin('orders', order.id);
                    }
                });
            }
        }
    }
</script>